%define name veusz
%define version 1.3
%define release 1

Name: 		%{name}
Version: 	%{version}
Release: 	%mkrel %release

Summary:	Scientific plotting package written in Python 
Source0: 	%{name}-%{version}.tar.gz
URL: 		http://home.gna.org/veusz/
Group: 		Sciences/Mathematics
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
License: 	GPL
Requires:	python >= 2.4
Requires: 	python-qt4 >= 4.3
Requires: 	python-numpy >= 1.0
BuildRequires: 	python-devel >= 2.4
BuildRequires: 	python-numpy-devel >= 1.0

%description
Veusz is a scientific plotting package written in Python, using PyQt4 for display and user-interfaces, and numpy for handling the numeric data. Veusz is designed to produce publication-ready Postscript/PDF output.

%description -l de
Veusz ist ein in Python geschriebener wissenschaftlicher Plotter, der Qt4 verwendet. Zur Verarbeitung der numerischen Daten kommt Numpy zum Einsatz. Datenausgabe auch in Postscript/PDF.

%prep
rm -rf $RPM_BUILDROOT
%setup -q -n %{name}-%{version}
python setup.py build
python setup.py install --root %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%__mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/
cp ${RPM_BUILD_ROOT}%{_libdir}/python2.5/site-packages/%{name}/windows/icons/%{name}.png ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/veusz.png

# menu entry
mkdir -p %{buildroot}/%{_menudir}
cat > %{buildroot}/%{_menudir}/%name << EOF
?package(%name):veusz
command="%{_bindir}/veusz" 
needs="X11" 
section="More Applications/Sciences/Numerical Analysis" 
icon="veusz.png" 
title="Veusz" 
longtitle="Veusz-scientific plotting package"
EOF

# xdg menu entry
mkdir -p %{buildroot}/%{_datadir}/applications
cat > %{buildroot}/%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Veusz
GenericName=Veusz scientific plotting
Comment=Scientific plotting written in Python
Comment[de]=In Python geschriebener wissenschaftlicher Plotter
MimeType=application/x-veusz
Exec=%{_bindir}/%{name}
Icon=%{_datadir}/pixmaps/%{name}.png
Terminal=false
Type=Application
Categories=X-MandrivaLinux-MoreApplications-Sciences-NumericalAnalysis
EOF

# mime type definition
mkdir -p %{buildroot}/%{_datadir}/mime/packages
cat > %{buildroot}/%{_datadir}/mime/packages/%{name}.xml << EOF
<?xml version='1.0'?>
<mime-info xmlns='http://www.freedesktop.org/standards/shared-mime-info'>
  <mime-type type="application/x-veusz">
    <comment>Veusz saved graph</comment>
    <glob pattern="*.vsz"/>
    <magic priority="50">
        <match type="string" value="# Veusz saved document" offset="0"/>
    </magic>
  </mime-type>
</mime-info>
EOF

# delete temporary files
rm -rf $RPM_BUILDROOT

%post
%update_menus
update-mime-database %{_datadir}/mime > /dev/null 2>&1 || :
update-desktop-database %{_datadir}/applications

%postun
%clean_menus
update-mime-database %{_datadir}/mime > /dev/null 2>&1 || :
update-desktop-database %{_datadir}/applications

%files
%defattr(-,root,root,0755)
%doc AUTHORS README COPYING VERSION ChangeLog ./Documents/*
%{_bindir}/%{name}
%{_bindir}/%{name}_listen
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/pixmaps/%{name}.png
%{_menudir}/%{name}
%{_libdir}/python2.5/site-packages/%{name}/*
%{_libdir}/python2.5/site-packages/%{name}-%{version}-py2.5.egg-info

%changelog

* Tue Apr 07 2009 Mario Blaettermann <rpm@mandrivauser.de> 1.3-1mud2009.0
- updated to 1.3
- Fixed Requires and BuildRequires to python >= 2.4 as announced in Release Notes

* Sat Oct 18 2008 Mario Blaettermann <rpm@mandrivauser.de> 1.2.1-1mud2009.0
- updated to 1.2.1

* Sat Oct 18 2008 Mario Blaettermann <rpm@mandrivauser.de> 1.1-1mud2009.0
- rebuild for 2009.0

* Fri Apr 25 2008 Mario Blaettermann <rpm@mandrivauser.de> 1.0-4mud2008.1
- change icon directory

* Tue Apr 22 2008 Mario Blaettermann <rpm@mandrivauser.de> 1.0-3mud2008.1
- add mime type "application/x-veusz"
- add program icon
- simplified BuildRequires

* Fri Apr 18 2008 Mario Blaettermann <rpm@mandrivauser.de> 1.0-2mud2008.1
- rebuild for 2008.1

* Sat Jan 12 2008 Oliver Burger <rpm@mandrivauser.de> 1.0-1mud2008.0
- rebuild for MUde

* Sat Jan 12 2008 Mario Blaettermann <mario.blaettermann@t-online.de>
- initial version
